<?php
// $Id$

/**
 * @file
 * ANU pane styles.
 *
 * Implements ANU styles for panes.
 */

/**
 * Implementation of hook_panels_style_info().
 */
function anu_content_styles_anu_pane_panels_styles() {
  return array(
    'title' => t('ANU styles'),
    'description' => t('Style the pane with options from the ANU Web Style Guide.'),
    'render pane' => 'anu_content_styles_anu_pane_style_render_pane',
    'pane settings form' => 'anu_content_styles_config_form',
    'pane settings form validate' => 'anu_content_styles_config_form_validate',
  );
}

/**
 * Render callback.
 * @themeable
 */
function theme_anu_content_styles_anu_pane_style_render_pane($content, $pane, $display) {
  $extra = array();
  $title = $content->title;
  $settings = $pane->style['settings'];
  // Render the default pane to output first
  if ($settings['box']['show_title'] == 'header') {
    // Clear title before rendering as pane
    $content->title = '';
  }

  // Scratch custom CSS classes and reserve for box only
  if (!empty($content->css_class)) {
    $extra['css_class'] = $content->css_class;
    $content->css_class = '';
  }

  $pane_content = theme('panels_pane', $content, $pane, $display);

  // Render the box.
  return theme('anu_content_styles_box', $title, $pane_content, $settings, $extra);
}
